<bugID>752413<Summary>FF12 only matching root URLs in inline autofill</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 5.2; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120312181643

Steps to reproduce:

1. Enable browser.urlbar.autofill
2. Vist any URL with a trailing path behind the root domain: http://edition.cnn.com/EUROPE/
3. Clear urlbar and start typing the same URL: edition



Actual results:

Autofill fills: edition.cnn.com/


Expected results:

Autofill should fill: edition.cnn.com/EUROPE/

Because you never visited the root URL, it should not autofill it. You only visited the /EUROPE/ page, so that's what it should suggest.

I know the autofill behavior of FF has been discussed over and over in the past. But as the above example shows, it's not working correctly right now: If I never visit the root domain, but always a subpage, I don't want autofill to suggest the root.

I estimate &gt;66% of the pages I visit regularly are sub-pages. Right now, the autofill feature has become useless for me in those cases. I therefore kindly ask the developers to please provide an about:config option to revert the autofill behavior to FF11 behavior.</Description></bugID>